#!/bin/sh

DOTFILES_DIR="${HOME}/Software/dotfiles"

declare -a FILES=(
    .bash_profile
    .bashrc
    .inputrc
    .iterm2_shell_integration.bash
    .xinitrc
    .config/nvim/init.lua
    .config/nvim/lua/packer-plugins.lua
    .config/nvim/lua/helper/toggle-tab-width.lua
    .config/nvim/lua/config/tmux.lua
    .config/nvim/lua/config/barbar.lua
    .config/nvim/lua/config/treesitter.lua
    .config/nvim/lua/config/php-doc.lua
    .config/nvim/lua/config/go.lua
    .config/nvim/lua/config/cmp.lua
    .config/nvim/lua/config/general/remaps.lua
    .config/nvim/lua/config/general/options.lua
    .config/nvim/lua/config/general/autocmd.lua
    .config/nvim/lua/config/general/colorscheme.lua
    .config/nvim/lua/config/general/init.lua
    .config/nvim/lua/config/gitsigns.lua
    .config/nvim/lua/config/luasnip.lua
    .config/nvim/lua/config/lsp/init.lua
    .config/nvim/lua/config/lsp/keymaps.lua
    .config/nvim/lua/config/lsp/installer.lua
    .config/nvim/lua/config/nvim-neo-tree.lua
    .config/nvim/lua/config/lualine.lua
    .config/nvim/lua/config/telescope.lua
    .config/nvim/lua/utils/init.lua
    .config/aliasrc
    .config/lf/
    .dwm/autostart.sh
    .dwm/dwm-sss
    .local/bin/
    .zsh/
    .zshrc
)

for F in ${FILES[@]}; do
    FILE="${HOME}/$F"
    if [[ ! -f $FILE && ! -d $FILE ]]; then
        continue
    fi

    if [[ -d $FILE ]]; then
        cp -r "${FILE}" "${DOTFILES_DIR}/$(dirname ${F})"
        continue
    fi

    cp -r "${FILE}" "${DOTFILES_DIR}/${F}"
done

cd $HOME/Software/dotfiles/

git add .
git commit -m "$(date)"
git push origin $(git rev-parse --abbrev-ref HEAD)
